{% extends 'profile/layouts/admin/admin_layout.html' %}
{% load static %}
{% block css %}

    <link rel="stylesheet" type="text/css" href="{% static 'admin/css/datatables/datatables.min.css' %}">
    <style>
        .img-bagss {
            position: absolute;
            top: 0;
            background-color: rgba(255, 0, 0, 0.8);
            text-align: center;
            font-weight: 500;
            line-height: 16px;
            padding: 5px 10px;
            color: #FFFFFF;
            border-radius: 5px 5px 5px 0;
        }
        .img-bagss .tag-bln { font-size: 15px; }

        .tdx{
            max-width: 400px;
            word-wrap: break-word;
            
        }
        .select2-container {
                z-index: 10000;
            }
            .select2-search__field {
                width: 100% !important;
            }
    </style>

{% endblock css %}


{% block navbar %}
    {% include 'profile/layouts/admin/navbar.html' %}
{% endblock navbar %}

{% block main %}
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{% url 'profile:admin_home' %}">Home</a></li>
            <li class="breadcrumb-item active" aria-current="page">Data Fasilitas Olahraga</li>
        </ol>
    </nav>

    {% if messages %}
        {% for message in messages %}
            <div class="alert {{ message.tags }} my-2" role="alert">
                {{message}}
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>  
        {% endfor %}
    {% endif %}
    <div class="d-flex">
        <div class="flex-fill"> 
            <a href="{% url 'profile:admin_fasilitas_olahraga_create' %}"> 
                <button type="button" class="btn btn-primary mt-2 mb-4"><i class="bi bi-plus"></i> Tambah Fasilitas Olahraga</button>
            </a>
        </div>
        <div class="flex-fill-right">
            <button type="button"  class="btn btn-danger mt-2 mb-4" data-toggle="modal" data-target="#arsip_datapu"><i class="bi bi-trash"></i> Data Fasilitas Olahraga</button>
        </div>
    </div>    
    
    <div class="card shadow mb-5">
        <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between bg-gradient-primary text-white">
            <h6 class="m-0 font-weight-bold text-white"><i class="fa fa-list"></i> Data Fasilitas Olahraga</h6>
            <div class="dropdown no-arrow">
                <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
                </a>
            </div>
        </div>
        <div class="card-body">
            <table class="table table-striped table-bordered dt-responsive" id="table-list">
                <thead class="bg-primary text-white">
                    <tr>
                        <th scope="col" class="text-center">No</th>
                        <td>Wilayah</td>
                        <td>Tanggal</td>
                        <td>Uraian</td>
                        <th scope="col" class="text-center">Aksi</th>
                    </tr>
                </thead>
                <tbody>
                    {% for data_fasilitas in fasilitasolahraga %}
                        <tr>
                                <td>{{forloop.counter}}</td>
                                <td class="tdx">{{data_fasilitas.kampung.distrik.title}}-{{data_fasilitas.kampung.titles}} </td>
                                <td><span style="font-size: 12px;">{{data_fasilitas.create_date}}</span></td>
                                <td>
                                    <ul>
                                        <li>Lapangan Voly :{{data_fasilitas.jml_lapangan_voly}}
                                           <br> <img src="{{data_fasilitas.foto_jml_lapangan_voly.url}}" width="100">
                                            </li>
                                        <li>Lapangan Bola Kaki :{{data_fasilitas.jml_lapangan_bola}}
                                           <br> <img src="{{data_fasilitas.foto_jml_lapangan_voly.url}}" width="100"></li>
                                        <li>Lapangan Basket :{{data_fasilitas.jml_lapangan_basket}}
                                           <br> <img src="{{data_fasilitas.foto_jml_lapangan_voly.url}}" width="100"></li>
                                        <li>Lapangan Takrauw :{{data_fasilitas.jml_lapangan_takraw}}
                                            <br> <img src="{{data_fasilitas.foto_jml_lapangan_voly.url}}" width="100"></li>
                                        <li>Lapangan Bulutangkis :{{data_fasilitas.jml_lapangan_bulutangkis}}
                                            <br> <img src="{{data_fasilitas.foto_jml_lapangan_voly.url}}" width="100"></li>
                                    </ul>
                                </td>
                                <td>
                                    <div class="d-flex align-items-center justify-content-center px-3 py-2 mt-2">
                                        <a class="btn btn-primary btn-circle mr-3 mb-2" 
                                            href="{% url 'profile:admin_fasilitas_olahraga_create_data' data_fasilitas.id %}"
                                            data-toggle="tooltip" data-placement="top" title="Edit">
                                            <i class="bi bi-eye"></i>
                                        </a>
                                       
                                        <button class="btn btn-success btn-circle mr-3 mb-2" data-toggle="modal" data-target="#editfalolah-{{data_fasilitas.id}}"><span class="fa fa-edit"></span></button>
                                        <div class="modal fade " id="editfalolah-{{data_fasilitas.id}}"  role="dialog" aria-labelledby="editfalolah-{{data_fasilitas.id}}" aria-hidden="true">
                                            <div class="modal-dialog modal-xl" role="document">
                                                <div class="modal-content ">
                                                    <div class="modal-header bg-gradient-primary text-white">
                                                        <h5 class="modal-title" id="arsip_perikanan"><i class="fa fa-pencil"></i> Edit Data Fasilitas Olahraga</h5>
                                                        <button class="close" type="button" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">×</span></button>
                                                        
                                                    </div>
                                                    <div class="modal-body">
                                                        <form method ='post' enctype ="multipart/form-data" action="{% url 'profile:admin_fasilitas_olahraga_edit' data_fasilitas.id %}">
                                                                {% csrf_token %}
                                                                <div class="row no-gutters align-items-center">
                                                                    <div class="col-md-5">  
                                                                        <div class="col mr-2">
                                                                            <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                                                               Wilayah
                                                                               <input type="hidden" value="{{data_fasilitas.kodeperikanan}}" name="kodeperikanan">
                                                                            </div>
                                                                        </div>
                                                                        <div class="col-auto">
                                                                            <select name="kampung" id="mySelect2" class="form-control list_wilayah select2" required>
                                                                                <option value="">Kampung/Distrik</option>
                                                                                {% for data_kampung in datakampung_list %}
                                                                                    <option value="{{ data_kampung.id }}" {% if data_kampung.id == data_fasilitas.kampung_id %}selected{% endif %}>
                                                                                        {{ data_kampung.distrik.title }}-{{ data_kampung.titles }}
                                                                                    </option>
                                                                                {% endfor %}    
                                                                            </select>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-md-4">
                                                                        <div class="col mr-2">
                                                                            <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                                                                Penanggungjawab
                                                                            </div>
                                                                        </div>
                                                                        <div class="col-auto">
                                                                            <select name="penanggungjawab" class="form-control" required>
                                                                                <option value="">Pilih Penanggungjawab</option>
                                                                                {% for datajawab in penanggungjawab %}
                                                                                    <option value="{{datajawab.id}}" {% if datajawab.id == data_fasilitas.penanggungjawab_id %}selected{% endif %}>{{datajawab.nama}}</option>
                                                                                {% endfor %}
                                                                            </select>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-md-3">
                                                                        <div class="col mr-2">
                                                                            <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                                                                Tahun
                                                                            </div>
                                                                        </div>
                                                                        <div class="col-auto">
                                                                            <select name="tahun"  class="form-control" required>
                                                                                <option value="{{data_fasilitas.tahun}}" {% if tahun == data_fasilitas.tahun %}selected{% endif %}>{{data_fasilitas.tahun}}</option>
                                                                                <option value="">Pilih Tahun</option>
                                                                                <option value="2020">2020</option>    
                                                                                <option value="2021">2021</option>    
                                                                                <option value="2022">2022</option>    
                                                                                <option value="2023">2023</option>    
                                                                                <option value="2024">2024</option>    
                                                                            </select>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <div class="row" style="padding-top: 20px;">
                                                                    <div class="col-md-4">
                                                                        <label for="jenis_usaha" style="padding-left: 150px;">Lapangan Voly</label>
                                                                    </div>
                                                                    <div class="form-group col-md-2">
                                                                        <input type="number"  placeholder=""
                                                                            class="form-control"
                                                                            name="jml_lapangan_voly" value="{{data_fasilitas.jml_lapangan_voly}}"
                                                                            required>
                                                                    </div>
                                                                   
                                                                    <div class="form-group col-md-2">
                                                                        <input type="file" name="foto_jml_lapangan_voly" class="form-control"  value="{{data_fasilitas.foto_jml_lapangan_voly}}">
                                                                    </div>
                                                                    <div class="form-group col-md-2">
                                                                        <label class="text-success"><i class="fa fa-upload text-success"></i> Upload Bukti</label>
                                                                        <img src="{{data_fasilitas.foto_jml_lapangan_voly.url}}" width="100">
                                                                    </div>
                                                                    
                                                                </div>
                                                                <div class="row">
                                                                    <div class="col-md-4">
                                                                        <label for="jenis_usaha" style="padding-left: 150px;">Lapangan Bola Kaki</label>
                                                                    </div>
                                                                    <div class="form-group col-md-2">
                                                                        <input type="text"  placeholder=""
                                                                            class="form-control"
                                                                            name="jml_lapangan_bola" value="{{data_fasilitas.jml_lapangan_bola}}"
                                                                            required>
                                                                    </div>
                                                                    <div class="form-group col-md-2">
                                                                        <input type="file" name="foto_jml_lapangan_bola" class="form-control" value="{{data_fasilitas.foto_jml_lapangan_bola}}"> 
                                                                    </div>
                                                                    <div class="form-group col-md-2">
                                                                        <label class="text-success"><i class="fa fa-upload text-success"></i> Upload Bukti</label>
                                                                        <img src="{{data_fasilitas.foto_jml_lapangan_bola.url}}" width="100">
                                                                    </div>
                                                                </div>
                                                                <div class="row">
                                                                    <div class="col-md-4">
                                                                        <label for="jenis_usaha" style="padding-left: 150px;">Lapangan basket</label>
                                                                    </div>
                                                                    <div class="form-group col-md-2">
                                                                        <input type="text"  placeholder=""
                                                                            class="form-control"
                                                                            name="jml_lapangan_basket" value="{{data_fasilitas.jml_lapangan_basket}}"
                                                                            required>
                                                                    </div>
                                                                    <div class="form-group col-md-2">
                                                                        <input type="file" name="foto_jml_lapangan_basket" class="form-control" value="{{data_fasilitas.foto_jml_lapangan_basket}}">
                                                                    </div>
                                                                    <div class="form-group col-md-2">
                                                                        <label class="text-success"><i class="fa fa-upload text-success"></i> Upload Bukti</label>
                                                                        <img src="{{data_fasilitas.foto_jml_lapangan_basket.url}}" width="100">
                                                                    </div>
                                                                </div>
                                                                <div class="row">
                                                                    <div class="col-md-4">
                                                                        <label for="jenis_usaha" style="padding-left: 150px;">Lapangan Takrauw</label>
                                                                    </div>
                                                                    <div class="form-group col-md-2">
                                                                        <input type="text"  placeholder=""
                                                                            class="form-control"
                                                                            name="jml_lapangan_takraw" value="{{data_fasilitas.jml_lapangan_takraw}}"
                                                                            required>
                                                                    </div>
                                                                    <div class="form-group col-md-2">
                                                                        <input type="file" name="foto_jml_lapangan_takraw" class="form-control" value="{{data_fasilitas.foto_jml_lapangan_takraw}}">
                                                                    </div>
                                                                    <div class="form-group col-md-2">
                                                                        <label class="text-success"><i class="fa fa-upload text-success"></i> Upload Bukti</label>
                                                                        <img src="{{data_fasilitas.foto_jml_lapangan_takraw.url}}" width="100">
                                                                    </div>
                                                                </div>
                                                                <div class="row">
                                                                    <div class="col-md-4">
                                                                        <label for="jenis_usaha" style="padding-left: 150px;">Lapangan Bulutangkis</label>
                                                                    </div>
                                                                    <div class="form-group col-md-2">
                                                                        <input type="text"  placeholder=""
                                                                            class="form-control"
                                                                            name="jml_lapangan_bulutangkis" value="{{data_fasilitas.jml_lapangan_bulutangkis}}"
                                                                            required>
                                                                    </div>
                                                                    <div class="form-group col-md-2">
                                                                        <input type="file" name="foto_jml_lapangan_bulutangkis" class="form-control" value="{{data_fasilitas.foto_jml_lapangan_bulutangkis}}">
                                                                        
                                                                    </div>
                                                                    <div class="form-group col-md-2">
                                                                        <label class="text-success"><i class="fa fa-upload text-success"></i> Upload Bukti</label>
                                                                        <img src="{{data_fasilitas.foto_jml_lapangan_bulutangkis.url}}" width="100">
                                                                    </div>
                                                                </div>
                                                                
                                                            <div class="modal-footer align-items-center">
                                                                <button class="btn btn-primary" type="submit"><i class="fa fa-save"></i> Simpan</button>
                                                                <button class="btn btn-danger" type="button" data-dismiss="modal"><i class="fa fa-times"></i> Tutup</button>
                                                            </div>
                                                        </form>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>



                                        <a href="#" class="btn btn-danger btn-circle mr-3 mb-2" 
                                        onclick="delete_('soft_delete', `{{ data_fasilitas.jml_lapangan_bola }}`, '{{ data_fasilitas.id }}')"
                                        data-toggle="tooltip" data-placement="top" title="Arsipkan">
                                            <i class="bi bi-archive"></i>
                                        </a>
                                    </div>
                                </td>
                        </tr>
                   {% endfor %}
                </tbody>
            </table>
        </div>
    </div>

    {% include 'profile/admin/fasilitasolahraga/arsip.html' %}
{% endblock main %}

{% block footer %}
    {% include 'profile/layouts/admin/footer.html' %}
{% endblock footer %}

{% block scripts_bawah %}
    <script src="{% static 'admin/js/datatables/datatables.min.js' %}"></script>
    <script>
        $(document).ready( function () {
            $('[data-tooltip="tooltip"]').tooltip();
            $('#table-list').DataTable();
            $('#table-archive').DataTable();
           
        });
        function restore_(nama, id){
                Swal.fire({
                    title: `Apakah anda yakin ingin memulihkan file ${nama}?`,
                    showCancelButton: true,
                    confirmButtonText: 'Pulihkan',
                    cancelButtonText: 'Batal',
                    }).then((result) => {
                    if (result.isConfirmed) {
                        $.ajax({
                            url: `/manage_panel/fasilitasolahraga/restore/${id}`,
                            data: {},
                            dataType: "html",
                            timeout: 10000,
                            beforeSend: function() {
                                Swal.fire({
                                    title: 'Memproses.........',
                                    allowEscapeKey: false,
                                    allowOutsideClick: false,
                                    showCancelButton: false,
                                    showConfirmButton: false,
                                    onOpen: () => {
                                        swal.showLoading();
                                    }
                                });
                            },
                            success: function(response){
                                Swal.fire(`Distrik berhasil dipulihkan!`, '', 'success');
                                setTimeout(function(){
                                    window.location.href = "/manage_panel/fasilitasolahraga/";
                                }, 2000); 
                            },
                            error: function (xhr, ajaxOptions, thrownError) {
                                Swal.fire(`Distrik gagal dipulihkan!`, '', 'error');
                            }
                        });
                        
                    }
                });
            }
            function delete_(action, nama, id){
                let pesan = action == 'soft_delete' ? "arsipkan" : "hapus";
                let confirmation = action == 'soft_delete' ? "Arsipkan" : "Hapus";
                Swal.fire({
                    title: `Apakah kamu yakin ingin meng${pesan} data ${nama}?`,
                    showCancelButton: true,
                    confirmButtonText: confirmation,
                    cancelButtonText: 'Batal',
                    
                    }).then((result) => {
                    if (result.isConfirmed) {
                        $.ajax({
                            url: `/manage_panel/fasilitasolahraga/${action}/${id}`,
                            data: {},
                            dataType: "html",
                            timeout: 10000,
                            beforeSend: function() {
                                Swal.fire({
                                    title: 'Memproses.........',
                                    allowEscapeKey: false,
                                    allowOutsideClick: false,
                                    showCancelButton: false,
                                    showConfirmButton: false,
                                });
                                Swal.showLoading();
                            },
                            success: function(response){
                                Swal.fire(`Data Diarsipkan berhasil di${pesan}!`, '', 'success');
                                setTimeout(function(){
                                    window.location.href = "/manage_panel/fasilitasolahraga/";
                                }, 2000); 
                            },
                            error: function (xhr, ajaxOptions, thrownError) {
                                Swal.fire(`Data Diarsipkan gagal di${pesan}!`, '', 'error');
                            }
                        });
                        
                    }
                });
            }
    </script>
{% endblock scripts_bawah %}